@_private(sourceFile: "TeleprompterView.swift") import OnCue
import func SwiftUI.__designTimeBoolean
import func SwiftUI.__designTimeInteger
import protocol SwiftUI.PreviewProvider
import func SwiftUI.__designTimeString
import func SwiftUI.__designTimeFloat
import struct SwiftUI.EmptyView
import protocol SwiftUI.View
import SwiftUI

extension TeleprompterView {
    @_dynamicReplacement(for: body) private var __preview__body: some View {
        #sourceLocation(file: "/Users/pradyun/Code/Apps/OnCue/OnCue/View/TeleprompterView.swift", line: 14)
        ScrollView {
            Text(project.script)
                .font(.system(size: __designTimeInteger("#1193.[1].[1].property.[0].[0].arg[0].value.[0].modifier[0].arg[0].value.arg[0].value", fallback: 25)))
                .padding()
        }
        .toolbar {
            ToolbarItem(placement: .topBarTrailing) {
                NavigationLink(destination: { CardsView(project: project) }) {
                    Image(systemName: __designTimeString("#1193.[1].[1].property.[0].[0].modifier[0].arg[0].value.[0].arg[1].value.[0].arg[1].value.[0].arg[0].value", fallback: "stop.fill"))
                }
            }
        }
    
#sourceLocation()
    }
}

import struct OnCue.TeleprompterView
#Preview {
    TeleprompterView(project: PreviewData.project)
}



